[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[Freedombox-discuss] Freedom-maker build questions



I would appreciate answers to the following couple of questions
concerning building freedom-maker (that copies to the 2 partitions on a
SD Card).

1. 
	a) I obtained a clone from "git clone
https://github.com/NickDaly/freedom-maker.git";

	b) In ../freedombox/freedom-maker/multistrap-configs/fbx-armel.conf I
changed linux-image-3.2.0-3-kirkwood to linux-image-3.2.0-4-kirkwood

	c) started "make weekly-image"  and obtained the following

	[..]
	Reading package lists... Done
	W: GPG error: http://http.debian.net wheezy Release: The following
signatures couldn't be verified because the 	public key is not
available: NO_PUBKEY AED4B06F473041FA
	W: Duplicate sources.list entry
http://http.debian.net/debian/wheezy/main armel Packages
(/home/dennis/freedombox/freedom-maker/build/armel/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_main_binary-armel_Packages)
	I: Calculating required packages.
	[..]
	E: There are problems and -y was used without --force-yes
	apt download failed. Exit value: 100


	d) in ../freedombox/freedom-maker/multistrap-configs/fbx-base.conf I
changed noauth=false to true and it built OK

Question: What did I need to do to not get the "signatures couldn't be
verified .. " error? I doubt setting noauth=true is the best thing to
do.

2.
	I placed the SD Card in the DreamPlug and got the following error
	[...]
	[    8.028995] Waiting 10sec before mounting root
device...                     
	[   18.040921] List of all
partitions:                                          
	[   18.044427] 1f00             512 mtdblock0
(driver?)                        
	[   18.049509] 1f01              64 mtdblock1
(driver?)                        
	[   18.054611] 1f02              64 mtdblock2
(driver?)                        
	[   18.059689] No filesystem could mount root,
tried:                           
	[   18.064603] Kernel panic - not syncing: VFS: Unable to mount root fs
on unkn)
	[   18.072939] [<c001369c>] (unwind_backtrace+0x0/0xe0) from
[<c02c56a0>] (pani)
	[   18.081179] [<c02c56a0>] (panic+0x50/0x194) from [<c03e4c08>]
(mount_block_r)
	[   18.089662] [<c03e4c08>] (mount_block_root+0x234/0x284) from
[<c03e4de0>] (p)
	[   18.099292] [<c03e4de0>] (prepare_namespace+0x124/0x184) from
[<c03e489c>] ()
	[   18.108487] [<c03e489c>] (kernel_init+0x12c/0x160) from [<c000ee18>]
(kernel)

Question: What is wrong here? Is this where the newer U-Boot version is
needed? My DreamPlug has U-Boot version 2011.
6(Oct 15, 2011-02:02:08) as from Global Scale Technologies.

Thanks much
Dennis

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.alioth.debian.org/pipermail/freedombox-discuss/attachments/20130211/2d288654/attachment.html>


Reply to: